For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
      • GETGet the list of all the sub-accounts of the master account.
      • POSTCreate a new sub-account under a master account.
      • GETGet sub-account details
      • DELDelete a sub-account
      • PUTUpdate sub-account plan
      • PUTUpdate sub-accounts plan
      • POSTGenerate SSO token to access admin account
      • POSTGenerate SSO token to access sub-account
      • GETGet the details of requested master account
      • POSTCreate an API key for a sub-account
      • PUTEnable/disable sub-account application(s)
      • POSTCreate a new group of sub-accounts
      • GETList of all IPs
      • POSTAssociate an IP to sub-accounts
      • PUTDissociate an IP to sub-accounts
      • GETGET a group details
      • PUTUpdate a group of sub-accounts
      • DELDelete a group
      • PUTDelete sub-account from group
      • POSTSend invitation to an admin user
      • PUTResend / cancel admin user invitation
      • DELRevoke an admin user
      • GETGet the list of all admin users
      • GETCheck admin user permissions
      • PUTChange admin user permissions
      • GETGet the list of groups
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Accounts and SettingsMaster Account

Get the list of all admin users

GET
https://api.brevo.com/v3/corporate/invited/users
GET
/v3/corporate/invited/users
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.masterAccount.getCorporateInvitedUsersList({});
8}
9main();
1{
2 "users": [
3 {
4 "email": "master-user2@company.com",
5 "feature_access": {
6 "analytics": [
7 "download_data",
8 "create_alerts",
9 "my_looks",
10 "explore_create"
11 ],
12 "api_keys": [
13 "all"
14 ],
15 "apps_management": [
16 "none"
17 ],
18 "create_sub_organizations": [
19 "all"
20 ],
21 "manage_sub_organizations": [
22 "all"
23 ],
24 "my_plan": [
25 "all",
26 "all"
27 ],
28 "sub_organization_groups": [
29 "create",
30 "edit_delete"
31 ],
32 "user_management": [
33 "none"
34 ]
35 },
36 "groups": {
37 "0": {
38 "id": "65b1f22c09d6ed67ef1cd123,",
39 "name": "Test Group1"
40 },
41 "1": {
42 "id": "43b1f16c09db4d67af1cd342,",
43 "name": "Test Group2"
44 }
45 },
46 "is_owner": "false",
47 "status": "active"
48 },
49 {
50 "email": "master-user3@company.com",
51 "feature_access": {
52 "analytics": [
53 "create_alerts",
54 "my_looks"
55 ],
56 "api_keys": [
57 "none"
58 ],
59 "apps_management": [
60 "all"
61 ],
62 "create_sub_organizations": [
63 "all"
64 ],
65 "manage_sub_organizations": [
66 "all"
67 ],
68 "my_plan": [
69 "none",
70 "none"
71 ],
72 "sub_organization_groups": [
73 "edit_delete"
74 ],
75 "user_management": [
76 "all"
77 ]
78 },
79 "groups": {},
80 "is_owner": "false",
81 "status": "active"
82 }
83 ]
84}

This endpoint allows you to list all Admin users of your Admin account. You can filter users by type (active or pending) and paginate results using offset and limit.

Was this page helpful?
Previous

Check admin user permissions

Next
Built with

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Query parameters

typestringOptional

User type (active | pending). This is required if offset is provided for limited result.

offsetintegerOptional
Page number for the result set. This is optional, default value will be the 1st page.
limitintegerOptional
Number of users to be displayed on each page. This is optional, the default limit is 20, but max allowed limit is 100.

Response

list of all admin users
userslist of objects
Get invited users list

Errors

400
Bad Request Error